# $Revision: 1.22 $, $Date: 2011/07/11 20:31:15 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	AI
%define		pnam	Gene-Sequence
Summary:	A base class for storing and mutating genetic sequences
Summary(pl.UTF-8):	Klasa bazowa do przechowywania i mutowania sekwencji genetycznych
Name:		perl-AI-Gene-Sequence
Version:	0.22
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	82023860faf60163eaef71c8f9a3c592
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a class which provides generic methods for the creation and
mutation of genetic sequences. Various mutations are provided as is a
way to ensure that genes created by mutations remain useful (for
instance, if a gene gives rise to code, it can be tested for correct
syntax).

%description -l pl.UTF-8
Ta klasa udostępnia ogólne metody do tworzenia i mutacji sekwencji
genetycznych. Zawiera różne mutacje, aby zapewnić, że geny stworzone
przez mutacje pozostaną użyteczne (na przykład, jeśli gen da przyrost
kodu, może być sprawdzona poprawność składni).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mkdir lib
mv AI lib

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"AI::Gene::Sequence")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/AI/Gene
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-AI-Gene-Sequence.spec,v $
Revision 1.22  2011/07/11 20:31:15  marti
- up to 0.22

Revision 1.21  2008/07/27 22:25:52  arekm
- release 6

Revision 1.20  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.18  2005/11/15 20:30:30  czucz
- formatting

Revision 1.17  2004/11/03 19:23:30  paladine
- formatting

Revision 1.16  2004/06/05 20:26:50  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.15  2004/05/07 01:22:53  ankry
- rel. 5

Revision 1.14  2004/05/06 18:09:11  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/25 06:25:03  ankry
- cosmetics: unification

Revision 1.12  2004/04/20 09:46:26  ankry
- bcond fixes/porting

Revision 1.11  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.10  2003/09/09 10:24:24  ankry
- spaces -> tab

Revision 1.9  2003/05/28 13:00:19  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 17:41:58  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:25:24  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/12/25 21:07:32  radek
- fixed build process, release 3

Revision 1.2  2002/08/11 01:38:59  qboosh
- pl description, release 2

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
